es如何实现某个时间段内的(a字段-b字段)/a字段的最大值、最小值、平均值、95值 20C

es如何实现某个时间段内的(a字段-b字段)/a字段的最大值、最小值、平均值、95值

1个回答

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
TOMCAT启动网页报错502,有人知道怎么处理吗
[18:46:45] PWD => /alidata 31># ps -ef|grep tomcat root 31749 1 99 18:46 pts/0 00:00:55 /alidata/FineBI/jre/bin/java -server -Dinstall4j.jvmDir=/alidata/FineBI/jre -Dexe4j.moduleName=/alidata/FineBI/FineBI -Dinstall4j.launcherId=769 -Dinstall4j.swt=false -Di4jv=0 -Di4jv=0 -Di4jv=0 -Di4jv=0 -Di4jv=0 -Xmx12G -Dfile.encoding=UTF-8 -Djava.io.tmpdir=./temp -classpath /alidata/FineBI/.install4j/i4jruntime.jar:/alidata/FineBI/lib/annotations-api.jar:/alidata/FineBI/lib/bilistener.jar:/alidata/FineBI/lib/bootstrap.jar:/alidata/FineBI/lib/catalina-ant.jar:/alidata/FineBI/lib/catalina-ha.jar:/alidata/FineBI/lib/catalina.jar:/alidata/FineBI/lib/catalina-tribes.jar:/alidata/FineBI/lib/commons-daemon.jar:/alidata/FineBI/lib/ecj-4.6.3.jar:/alidata/FineBI/lib/el-api.jar:/alidata/FineBI/lib/jasper-el.jar:/alidata/FineBI/lib/jasper.jar:/alidata/FineBI/lib/jsp-api.jar:/alidata/FineBI/lib/servlet-api.jar:/alidata/FineBI/lib/tomcat-api.jar:/alidata/FineBI/lib/tomcat-coyote.jar:/alidata/FineBI/lib/tomcat-dbcp.jar:/alidata/FineBI/lib/tomcat-i18n-es.jar:/alidata/FineBI/lib/tomcat-i18n-fr.jar:/alidata/FineBI/lib/tomcat-i18n-ja.jar:/alidata/FineBI/lib/tomcat-juli.jar:/alidata/FineBI/lib/tomcat-util.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/db2jcc4.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/db2jcc_license_cu.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fineio.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fluent-hc-4.3.1.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fr-bi-server-4.1.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fr-chart-9.0.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fr-core-9.0.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fr-datasource-9.0.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fr-performance-9.0.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fr-platform-9.0.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fr-report-9.0.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fr-slf4j-frlog4j-1.7.2.25.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/fr-third-9.0.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/h2-1.4.192.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/jtds-1.2.2.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/mysql-connector-java-5.1.44-bin.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/ojdbc6.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/plugin-FineDirect-0.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/sqlite-jdbc.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/sqljdbc42.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/sybase.jar:/alidata/FineBI/webapps/WebReport/WEB-INF/lib/zookeeper-3.4.6.jar com.install4j.runtime.launcher.UnixLauncher launch a44b00a6 /alidata/FineBI/error.log+ /alidata/FineBI/output.log+ com.fr.bi.start.FineBIForLinux root 31907 30812 0 18:47 pts/0 00:00:00 grep tomcat
ES地址位置映射,如果字段不存在,或者映射对应字段类型问题
ES地理位置映射,导入数据的时候如果对字段不存在,会报错400怎么解决? ![图片说明](https://img-ask.csdn.net/upload/201807/10/1531210759_194190.png) ES地理位置映射,Double数组的形式存储位置,映射发生错误 大家又遇到这种问题的吗? ![图片说明](https://img-ask.csdn.net/upload/201807/10/1531210773_727426.png)
关于es中integer_range类型字段聚合的问题
该字段索引结构如下 ![图片说明](https://img-ask.csdn.net/upload/201911/23/1574478193_943813.png) 索引聚合语句如下 ![图片说明](https://img-ask.csdn.net/upload/201911/23/1574478287_125497.png) 求大家帮忙看看,怎么解决这问题
自己基于yocto 生成觉得QT开发环境重新移植QT5.5.1时报错,请问什么原因
+ cd qtbase + /home/keyto/QT/qt-everywhere-opensource-src-5.5.1/qtbase/configure -top-level -v -release -prefix /opt/qt5.5.1 -opensource -confirm-license -no-c++11 -no-pch -no-xcb -no-openssl -no-opengl -opengl es2 -dbus -qt-zlib -no-sse2 -no-iconv -tslib -make libs -device imx6 -device-option CROSS_COMPILE=/opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi- -sysroot /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi -no-gcc-sysroot -I /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi/usr/include -L /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi/usr/lib -make examples -nomake tools -nomake tests This is the Qt Open Source Edition. You are licensed to use this software under the terms of the Lesser GNU General Public License (LGPL) versions 2.1. You are also licensed to use this software under the terms of the GNU Lesser General Public License (LGPL) versions 3. You have already accepted the terms of the Open Source license. /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi-g++ -c -fvisibility=hidden fvisibility.c Symbol visibility control enabled. /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crt1.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crti.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtbegin.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lstdc++ /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lm /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc_s /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc_s /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtend.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtn.o: No such file or directory collect2: error: ld returned 1 exit status /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crt1.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crti.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtbegin.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lstdc++ /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lm /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc_s /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc_s /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find -lgcc /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtend.o: No such file or directory /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/real-ld: cannot find crtn.o: No such file or directory collect2: error: ld returned 1 exit status /opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi/arm-poky-linux-gnueabi-g++ -o libtest.so -shared -Wl,-Bsymbolic-functions -fPIC bsymbolic_functions.c bsymbolic_functions.c:2:2: error: #error "Symbolic function binding on this architecture may be broken, disabling it (see QTBUG-36129)." #error "Symbolic function binding on this architecture may be broken, disabling it (see QTBUG-36129)." ^ Symbolic function binding disabled. DEFAULT_INCDIRS="/usr/include /usr/local/include" DEFAULT_LIBDIRS="/lib /usr/lib" Creating qmake... arm-poky-linux-gnueabi-g++ -march=armv7-a -mfloat-abi=hard -mfpu=neon -mtune=cortex-a9 --sysroot=/opt/fsl-imx-fb/4.1.15-1.2.0/sysroots/cortexa9hf-vfp-neon-poky-linux-gnueabi -o "../bin/qmake" project.o option.o property.o main.o ioutils.o proitems.o qmakevfs.o qmakeglobals.o qmakeparser.o qmakeevaluator.o qmakebuiltins.o makefile.o unixmake2.o unixmake.o mingw_make.o winmakefile.o projectgenerator.o meta.o makefiledeps.o metamakefile.o xmloutput.o pbuilder_pbx.o msvc_vcproj.o msvc_vcxproj.o msvc_nmake.o msvc_objectmodel.o msbuild_objectmodel.o cesdkhandler.o qtextcodec.o qutfcodec.o qstring.o qstring_compat.o qstringbuilder.o qtextstream.o qiodevice.o qdebug.o qmalloc.o qglobal.o qarraydata.o qbytearray.o qbytearraymatcher.o qdatastream.o qbuffer.o qlist.o qfiledevice.o qfile.o qfilesystementry.o qfilesystemengine.o qfsfileengine.o qfsfileengine_iterator.o qregexp.o qvector.o qbitarray.o qdir.o qdiriterator.o quuid.o qhash.o qfileinfo.o qdatetime.o qstringlist.o qabstractfileengine.o qtemporaryfile.o qmap.o qmetatype.o qsettings.o qsystemerror.o qlibraryinfo.o qvariant.o qvsnprintf.o qlocale.o qlocale_tools.o qlinkedlist.o qnumeric.o qcryptographichash.o qxmlstream.o qxmlutils.o qlogging.o qjson.o qjsondocument.o qjsonparser.o qjsonarray.o qjsonobject.o qjsonvalue.o qfilesystemengine_unix.o qfilesystemiterator_unix.o qfsfileengine_unix.o qlocale_unix.o -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,--gc-sections project.o: file not recognized: File format not recognized collect2: error: ld returned 1 exit status make: *** [../bin/qmake] Error 1
18.04 编译8.1安卓源码报错
我用18.04 编译安卓源码的时候报下面的错误,有人遇到过吗? 1 warning generated. [ 18% 12030/66759] target C++: libaau...es/oboeservice/AAudioClientTracker.cpp FAILED: out/target/product/salvator/obj/SHARED_LIBRARIES/libaaudioservice_intermediates/AAudioClientTracker.o /bin/bash -c "PWD=/proc/self/cwd prebuilts/clang/host/linux-x86/clang-4053586/bin/clang++ -I frameworks/av/services/audioflinger -I system/media/audio_utils/include -I frameworks/native/include -I system/core/base/include -I ./frameworks/native/media/libaaudio/include/include -I ./frameworks/av/media/libaaudio/include -I ./frameworks/av/media/utils/include -I frameworks/native/include -I ./external/tinyalsa/include -I ./frameworks/av/media/libaaudio/src -I frameworks/av/services/oboeservice -I out/target/product/salvator/obj/SHARED_LIBRARIES/libaaudioservice_intermediates -I out/target/product/salvator/gen/SHARED_LIBRARIES/libaaudioservice_intermediates -I libnativehelper/include_deprecated \$(cat out/target/product/salvator/obj/SHARED_LIBRARIES/libaaudioservice_intermediates/import_includes) -I system/core/include -I system/media/audio/include -I hardware/libhardware/include -I hardware/libhardware_legacy/include -I hardware/ril/include -I libnativehelper/include -I frameworks/native/opengl/include -I frameworks/av/include -isystem out/target/product/salvator/obj/include -isystem bionic/libc/arch-arm64/include -isystem bionic/libc/include -isystem bionic/libc/kernel/uapi -isystem bionic/libc/kernel/uapi/asm-arm64 -isystem bionic/libc/kernel/android/scsi -isystem bionic/libc/kernel/android/uapi -c -fno-exceptions -Wno-multichar -fno-strict-aliasing -fstack-protector-strong -ffunction-sections -fdata-sections -funwind-tables -Wa,--noexecstack -Werror=format-security -D_FORTIFY_SOURCE=2 -fno-short-enums -no-canonical-prefixes -Werror=pointer-to-int-cast -Werror=int-to-pointer-cast -Werror=implicit-function-declaration -DNDEBUG -O2 -g -Wstrict-aliasing=2 -DANDROID -fmessage-length=0 -W -Wall -Wno-unused -Winit-self -Wpointer-arith -DNDEBUG -UDEBUG -fdebug-prefix-map=/proc/self/cwd= -D__compiler_offsetof=__builtin_offsetof -Werror=int-conversion -Wno-reserved-id-macro -Wno-format-pedantic -Wno-unused-command-line-argument -fcolor-diagnostics -Wno-expansion-to-defined -fdebug-prefix-map=\$PWD/= -Werror=return-type -Werror=non-virtual-dtor -Werror=address -Werror=sequence-point -Werror=date-time -nostdlibinc -mcpu=cortex-a53 -target aarch64-linux-android -Bprebuilts/gcc/linux-x86/aarch64/aarch64-linux-android-4.9/aarch64-linux-android/bin -Wsign-promo -Wno-inconsistent-missing-override -Wno-null-dereference -D_LIBCPP_ENABLE_THREAD_SAFETY_ANNOTATIONS -Wno-thread-safety-negative -fvisibility-inlines-hidden -std=gnu++14 -fno-rtti -Wno-unused-parameter -Wall -Werror -fPIC -D_USING_LIBCXX -DANDROID_STRICT -Werror=int-to-pointer-cast -Werror=pointer-to-int-cast -Werror=address-of-temporary -Werror=return-type -MD -MF out/target/product/salvator/obj/SHARED_LIBRARIES/libaaudioservice_intermediates/AAudioClientTracker.d -o out/target/product/salvator/obj/SHARED_LIBRARIES/libaaudioservice_intermediates/AAudioClientTracker.o frameworks/av/services/oboeservice/AAudioClientTracker.cpp" clang++.real: error: unable to execute command: Segmentation fault (core dumped) clang++.real: error: clang frontend command failed due to signal (use -v to see invocation) 这个错误 clang++.real: error: unable to execute command: Segmentation fault (core dumped) clang++.real: error: clang frontend command failed due to signal (use -v to see invocation)
求助sprinboot整合 elasticsearch-rest-high-level-client-5.6.4报错
以下是报错信息: Description: An attempt was made to call a method that does not exist. The attempt was made from the following location: org.springframework.boot.autoconfigure.elasticsearch.rest.RestClientConfigurations$RestHighLevelClientConfiguration.elasticsearchRestHighLevelClient(RestClientConfigurations.java:75) The following method did not exist: org.elasticsearch.client.RestHighLevelClient.<init>(Lorg/elasticsearch/client/RestClientBuilder;)V The method's class, org.elasticsearch.client.RestHighLevelClient, is available from the following locations: jar:file:/Users/jianxiaowen/.m2/repository/org/elasticsearch/client/elasticsearch-rest-high-level-client/5.6.4/elasticsearch-rest-high-level-client-5.6.4.jar!/org/elasticsearch/client/RestHighLevelClient.class It was loaded from the following location: file:/Users/jianxiaowen/.m2/repository/org/elasticsearch/client/elasticsearch-rest-high-level-client/5.6.4/elasticsearch-rest-high-level-client-5.6.4.jar Action: Correct the classpath of your application so that it contains a single, compatible version of org.elasticsearch.client.RestHighLevelClient 以下是pom文件,是springboot版本和这个es不兼容吗,原来用的es6.x是可以的,换成5.x就不行了,但是公司环境就要求5.x: ``` <?xml version="1.0" encoding="UTF-8"?> <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"> <modelVersion>4.0.0</modelVersion> <groupId>com.xxx</groupId> <artifactId>repservice</artifactId> <version>1.0</version> <modules> <module>kg-business</module> </modules> <packaging>pom</packaging> <name>repservice</name> <parent> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-parent</artifactId> <version>2.1.7.RELEASE</version> <relativePath/> <!-- lookup parent from repository --> </parent> <properties> <elasticsearch.version>5.6.4</elasticsearch.version> <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding> <java.version>1.8</java.version> </properties> <dependencies> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-web</artifactId> <exclusions> <exclusion> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-logging</artifactId> </exclusion> </exclusions> </dependency> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-log4j2</artifactId> </dependency> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-configuration-processor</artifactId> <optional>true</optional> </dependency> <dependency> <groupId>com.x x x.datanlp</groupId> <artifactId>graph-db-sdk</artifactId> <version>1.1-SNAPSHOT</version> </dependency> <dependency> <groupId>mysql</groupId> <artifactId>mysql-connector-java</artifactId> <scope>runtime</scope> </dependency> <dependency> <groupId>org.apache.commons</groupId> <artifactId>commons-lang3</artifactId> </dependency> <dependency> <groupId>commons-codec</groupId> <artifactId>commons-codec</artifactId> <version>1.13</version> </dependency> <dependency> <groupId>org.springframework.data</groupId> <artifactId>spring-data-commons</artifactId> <version>2.1.10.RELEASE</version> </dependency> <dependency> <groupId>org.projectlombok</groupId> <artifactId>lombok</artifactId> <optional>true</optional> </dependency> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-test</artifactId> <exclusions> <exclusion> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-logging</artifactId> </exclusion> </exclusions> <scope>test</scope> </dependency> <dependency> <groupId>org.springframework.restdocs</groupId> <artifactId>spring-restdocs-mockmvc</artifactId> <scope>test</scope> </dependency> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-jdbc</artifactId> </dependency> <dependency> <groupId>org.mybatis.spring.boot</groupId> <artifactId>mybatis-spring-boot-starter</artifactId> <version>2.1.0</version> </dependency> <dependency> <groupId>org.mybatis.spring.boot</groupId> <artifactId>mybatis-spring-boot-starter-test</artifactId> <version>2.1.0</version> <scope>test</scope> </dependency> <dependency> <groupId>org.flywaydb</groupId> <artifactId>flyway-core</artifactId> <version>5.2.4</version> </dependency> <dependency> <groupId>commons-fileupload</groupId> <artifactId>commons-fileupload</artifactId> <version>1.3.3</version> </dependency> <dependency> <groupId>org.apache.httpcomponents</groupId> <artifactId>httpcore</artifactId> <version>4.4.12</version> </dependency> <dependency> <groupId>org.apache.httpcomponents</groupId> <artifactId>httpclient</artifactId> <version>4.5.10</version> </dependency> <dependency> <groupId>org.apache.httpcomponents</groupId> <artifactId>httpmime</artifactId> <version>4.5.10</version> </dependency> <dependency> <groupId>io.reactivex.rxjava2</groupId> <artifactId>rxjava</artifactId> <version>2.2.9</version> </dependency> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-aop</artifactId> </dependency> <dependency> <groupId>commons-net</groupId> <artifactId>commons-net</artifactId> <version>3.6</version> </dependency> <!-- 引入 redis 依赖 --> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-data-redis</artifactId> </dependency> <dependency> <groupId>redis.clients</groupId> <artifactId>jedis</artifactId> <version>2.9.0</version> </dependency> <!-- https://mvnrepository.com/artifact/org.apache.solr/solr-solrj --> <dependency> <groupId>org.apache.solr</groupId> <artifactId>solr-solrj</artifactId> <version>8.2.0</version> </dependency> <!-- 解压rar --> <dependency> <groupId>com.github.junrar</groupId> <artifactId>junrar</artifactId> <version>4.0.0</version> </dependency> <!-- 解压zip --> <dependency> <groupId>org.apache.ant</groupId> <artifactId>ant</artifactId> <version>1.10.7</version> </dependency> <!--结果验证--> <dependency> <groupId>com.jayway.jsonpath</groupId> <artifactId>json-path</artifactId> <version>2.4.0</version> </dependency> <!-- 临时--> <dependency> <groupId>com.alibaba</groupId> <artifactId>fastjson</artifactId> <version>1.2.51</version> </dependency> <dependency> <groupId>com.arangodb</groupId> <artifactId>arangodb-java-driver</artifactId> <version>5.0.0</version> </dependency> <!-- https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-web --> <dependency> <groupId>org.apache.logging.log4j</groupId> <artifactId>log4j-web</artifactId> <version>2.7</version> </dependency> <dependency> <groupId>org.elasticsearch</groupId> <artifactId>elasticsearch</artifactId> <version>5.6.4</version> </dependency> <!-- Java Low Level REST Client --> <dependency> <groupId>org.elasticsearch.client</groupId> <artifactId>elasticsearch-rest-client</artifactId> <version>5.6.4</version> </dependency> <dependency> <groupId>org.elasticsearch.client</groupId> <artifactId>elasticsearch-rest-high-level-client</artifactId> <version>5.6.4</version> </dependency> </dependencies> <build> <plugins> <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-surefire-plugin</artifactId> <configuration> <skipTests>true</skipTests> </configuration> </plugin> <plugin> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-maven-plugin</artifactId> </plugin> <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-dependency-plugin</artifactId> <executions> <execution> ```
ES 是否可以修改字段类型或者删除字段???
大佬们, ES有方法 可以修改字段类型或者删除字段吗?除了索引重建
logstash 解析csv格式的txt文件如何跳过第一行的字段行
logstash 解析csv格式的txt文件如何跳过第一行的字段行 ![图片说明](https://img-ask.csdn.net/upload/201907/25/1564039983_80317.png) 如图 怎么样跳过第一行的字段行啊,不让它导入es
vue axios post方法 微信公众号苹果手机报错
![图片说明](https://img-ask.csdn.net/upload/202001/19/1579424820_111370.png)![图片说明](https://img-ask.csdn.net/upload/202001/19/1579424825_862026.png) 但是都已经试过qs 和 config.headers['Content-Type'] = 'application/x-www-form-urlencoded;charset=UTF-8' 还有 es6转es5
IDEA环境Springboot2.2.1进行Web开发,自定义pesonal.yml文件读取不到value值
先看下文件位置: ![图片说明](https://img-ask.csdn.net/upload/202001/22/1579675010_950804.png) 文件内容如下: ```yaml jwt: # 加密私钥 secret: bensu[sentiment] # header名称 header: token # 有效时长7天(7*24*60*60) expire: 604800 ``` 项目依赖关系如下: ```xml <dependencies> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-data-jpa</artifactId> </dependency> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-thymeleaf</artifactId> </dependency> <dependency> <groupId>org.thymeleaf</groupId> <artifactId>thymeleaf</artifactId> </dependency> <!-- SpringBoot Web 依赖 --> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-web</artifactId> </dependency> <dependency> <groupId>org.mybatis.spring.boot</groupId> <artifactId>mybatis-spring-boot-starter</artifactId> <version>2.1.1</version> </dependency> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-devtools</artifactId> <optional>true</optional> </dependency> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-configuration-processor</artifactId> <optional>true</optional> </dependency> <!--JSP依赖--> <!--dependency>--> <!--<groupId>org.apache.tomcat.embed</groupId>--> <!--<artifactId>tomcat-embed-jasper</artifactId>--> <!--</dependency>--> <dependency> <groupId>mysql</groupId> <artifactId>mysql-connector-java</artifactId> <scope>runtime</scope> </dependency> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-test</artifactId> <scope>test</scope> <exclusions> <exclusion> <groupId>org.junit.vintage</groupId> <artifactId>junit-vintage-engine</artifactId> </exclusion> </exclusions> </dependency> <!-- 数据库访问控制依赖 --> <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-jdbc</artifactId> </dependency> <dependency> <groupId>org.webjars</groupId> <artifactId>bootstrap</artifactId> <version>4.4.1</version> </dependency> <!-- https://mvnrepository.com/artifact/org.webjars.bower/jquery --> <dependency> <groupId>org.webjars.bower</groupId> <artifactId>jquery</artifactId> <version>3.4.1</version> </dependency> <dependency> <groupId>org.fusesource</groupId> <artifactId>sigar</artifactId> <version>1.6.4</version> </dependency> <dependency> <groupId>io.jsonwebtoken</groupId> <artifactId>jjwt</artifactId> <version>0.9.0</version> </dependency> <dependency> <groupId>commons-fileupload</groupId> <artifactId>commons-fileupload</artifactId> <version>1.4</version> </dependency> </dependencies> ``` 绑定实体类代码如下: ```java @Component @PropertySource("classpath:personal.yml") @ConfigurationProperties(prefix = "jwt") public class TokenDomain { // header名称 @Value(value = "${header}") private String header; // 密钥 @Value(value = "${secret}") private String secret; // 有效时长 @Value(value = "${expire}") private long expire; public String getHeader() { return header; } public void setHeader(String header) { this.header = header; } public String getSecret() { return secret; } public void setSecret(String secret) { this.secret = secret; } public long getExpire() { return expire; } public void setExpire(long expire) { this.expire = expire; } } ``` 调用该实体类代码如下: ```java @Autowired private TokenDomain tokenDomain; /** * 根据身份ID标识,生成Token * @param userId 根据身份ID标识 * @param pwd 密码 * @return Token 字串 */ public String createToken(String userId,String pwd){ //过期时间,精确到毫秒 Date expireDate = new Date(new Date().getTime() + tokenDomain.getExpire()); // 生成token字串 String token =Jwts.builder() .setHeaderParam("typ","JWT") .setHeaderParam("alg","HS256") .claim("userId",userId) .claim("pwd",pwd) .setSubject(userId+pwd) .setIssuedAt(new Date()) .setExpiration(expireDate) .signWith(SignatureAlgorithm.ES512, tokenDomain.getSecret()) .compact(); return token; } ``` 实体类在Spring测试类中可正常读取: ```java @Autowired TokenDomain token; @Test void getPersonal(){ System.out.println(token); System.out.println(token.getHeader()); System.out.println(token.getSecret()); System.out.println(token.getExpire()); } ``` 测试类返回结果如下: ![图片说明](https://img-ask.csdn.net/upload/202001/22/1579675352_164301.png) 但是,业务逻辑类一直都无法正常读取内容,domain一直为null ![图片说明](https://img-ask.csdn.net/upload/202001/22/1579675405_8772.png) 请高手指点迷津。
使用windows系统时,webpack打包出错,提示需要一个表达式
> helloworld_electron@1.0.0 webpack E:\webStromProject\ExperimentalBookingManagementSystem-fe > webpack Hash: b8b8263db2c36e699d0b Version: webpack 1.14.0 Time: 13483ms Asset Size Chunks Chunk Names bundle.js 14.4 MB 0 [emitted] main + 1169 hidden modules WARNING in ./~/express/lib/view.js Critical dependencies: 42:48-69 the request of a dependency is an expression @ ./~/express/lib/view.js 42:48-69 WARNING in ./~/ws/lib/Validation.js Module not found: Error: Cannot resolve module 'utf-8-validate' in E:\webStromProject\ExperimentalBookingManagementSystem-fe \node_modules\ws\lib @ ./~/ws/lib/Validation.js 10:22-47 WARNING in ./~/ws/lib/BufferUtil.js Module not found: Error: Cannot resolve module 'bufferutil' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\nod e_modules\ws\lib @ ./~/ws/lib/BufferUtil.js 35:21-42 WARNING in ./~/formidable/lib/incoming_form.js Critical dependencies: 1:43-50 require function is used in a way in which dependencies cannot be statically extracted @ ./~/formidable/lib/incoming_form.js 1:43-50 WARNING in ./~/formidable/lib/file.js Critical dependencies: 1:43-50 require function is used in a way in which dependencies cannot be statically extracted @ ./~/formidable/lib/file.js 1:43-50 WARNING in ./~/formidable/lib/querystring_parser.js Critical dependencies: 1:43-50 require function is used in a way in which dependencies cannot be statically extracted @ ./~/formidable/lib/querystring_parser.js 1:43-50 ERROR in ./~/express/index.js Module not found: Error: Cannot resolve 'file' or 'directory' ./lib-cov/express in E:\webStromProject\ExperimentalBookingMan agementSystem-fe\node_modules\express @ ./~/express/index.js 3:4-32 ERROR in ./~/express/lib/view.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_module s\express\lib @ ./~/express/lib/view.js 6:9-22 ERROR in ./~/connect/lib-cov/connect.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_module s\connect\lib-cov @ ./~/connect/lib-cov/connect.js 32:162-175 ERROR in ./~/connect/lib/connect.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_module s\connect\lib @ ./~/connect/lib/connect.js 18:9-22 ERROR in ./~/send/lib/send.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_module s\send\lib @ ./~/send/lib/send.js 13:9-22 ERROR in ./~/connect/lib-cov/middleware/directory.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_module s\connect\lib-cov\middleware @ ./~/connect/lib-cov/middleware/directory.js 71:9-22 ERROR in ./~/connect/lib-cov/middleware/errorHandler.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_module s\connect\lib-cov\middleware @ ./~/connect/lib-cov/middleware/errorHandler.js 32:38-51 ERROR in ./~/connect/lib-cov/middleware/favicon.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_module s\connect\lib-cov\middleware @ ./~/connect/lib-cov/middleware/favicon.js 21:9-22 ERROR in ./~/connect/lib/middleware/directory.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_module s\connect\lib\middleware @ ./~/connect/lib/middleware/directory.js 17:9-22 ERROR in ./~/connect/lib/middleware/errorHandler.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_module s\connect\lib\middleware @ ./~/connect/lib/middleware/errorHandler.js 13:9-22 ERROR in ./~/connect/lib/middleware/favicon.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_module s\connect\lib\middleware @ ./~/connect/lib/middleware/favicon.js 13:9-22 ERROR in ./~/connect/lib-cov/middleware/cookieSession.js Module not found: Error: Cannot resolve module 'crc' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_modul es\connect\lib-cov\middleware @ ./~/connect/lib-cov/middleware/cookieSession.js 42:173-187 ERROR in ./~/connect/lib-cov/middleware/session.js Module not found: Error: Cannot resolve module 'crc' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_modules\connect\lib-cov\middleware @ ./~/connect/lib-cov/middleware/session.js 92:310-324 ERROR in ./~/mime/mime.js Module not found: Error: Cannot resolve module 'fs' in E:\webStromProject\ExperimentalBookingManagementSystem-fe\node_modules\mime @ ./~/mime/mime.js 2:9-22
Vue项目兼容IE浏览器 使用babel-preset-env后依然无效
如题,使用babel-preset-env配置后 进行 run build 打包编译,打包后的代码 如 箭头函数,let 依然没有转为ES5语法,导致IE浏览器报错 报错如图(IE10): ![图片说明](https://img-ask.csdn.net/upload/201912/16/1576490114_823601.png) ![图片说明](https://img-ask.csdn.net/upload/201912/16/1576490159_725227.png) 以下是babel-preset-env相关配置: //babel.config.js: --- ``` javascript const plugins = []; if (['production', 'prod'].includes(process.env.NODE_ENV)) { plugins.push("transform-remove-console") } module.exports = { presets: [ [ "@vue/app", { "useBuiltIns": "entry", polyfills: [ 'es6.promise', 'es6.symbol' ] } ] ], plugins: plugins }; ``` //.babelrc --- ```javascript { "presets": [ "@babel/preset-env" ], "plugins": [ "@babel/plugin-transform-runtime" ] } ``` //Vue.config.js --- ```javascript module.exports = { transpileDependencies: ['webpack-dev-server/client'], publicPath: process.env.NODE_ENV === 'production' ? '/cdss/' : '/', outputDir: 'cdss', assetsDir: 'static', chainWebpack: config => { config.entry.app = ['babel-polyfill', './src/main.js']; } }; ``` //main.js --- ```javascript import '@babel/polyfill'; //第一行 import Es6Promise from 'es6-promise' Es6Promise.polyfill(); //...其他常规配置 ``` //package.json --- ```json //...其他常规配置 "browserslist": [ "> 1%", "last 2 versions", "ie <=8" ] ``` 难道是哪儿配置有问题吗?怎么改都不行 [这是我看的教程帖](https://blog.csdn.net/qq_42767631/article/details/91352267 "Vue-cli3 项目在安卓低版本系统和 IE 上白屏问题解决").
启动sonar后自动stopping
2017.12.15 10:14:15 INFO app[][o.s.a.AppFileSystem] Cleaning or creating temp directory /home/sonar/sonarqube-6.2/temp 2017.12.15 10:14:15 INFO app[][o.s.p.m.JavaProcessLauncher] Launch process[es]: /data/android/jdk/jdk1.8.0_151/jre/bin/java -Djava.awt.headless=true -Xmx1G -Xms256m -Xss256k -Djna.nosys=true -XX:+UseParNewGC -XX:+UseConcMarkSweepGC -XX:CMSInitiatingOccupancyFraction=75 -XX:+UseCMSInitiatingOccupancyOnly -XX:+HeapDumpOnOutOfMemoryError -Djava.io.tmpdir=/home/sonar/sonarqube-6.2/temp -javaagent:/data/android/jdk/jdk1.8.0_151/jre/lib/management-agent.jar -cp ./lib/common/*:./lib/search/* org.sonar.search.SearchServer /home/sonar/sonarqube-6.2/temp/sq-process5065419232036463929properties 2017.12.15 10:14:23 INFO app[][o.s.p.m.Monitor] Process[es] is up 2017.12.15 10:14:23 INFO app[][o.s.p.m.JavaProcessLauncher] Launch process[web]: /data/android/jdk/jdk1.8.0_151/jre/bin/java -Djava.awt.headless=true -Dfile.encoding=UTF-8 -Djruby.management.enabled=false -Djruby.compile.invokedynamic=false -Xmx512m -Xms128m -XX:+HeapDumpOnOutOfMemoryError -Djava.io.tmpdir=/home/sonar/sonarqube-6.2/temp -javaagent:/data/android/jdk/jdk1.8.0_151/jre/lib/management-agent.jar -cp ./lib/common/*:./lib/server/*:/home/sonar/sonarqube-6.2/lib/jdbc/mysql/mysql-connector-java-5.1.39.jar org.sonar.server.app.WebServer /home/sonar/sonarqube-6.2/temp/sq-process9006207429545419068properties 2017.12.15 10:14:24 INFO app[][o.s.p.m.Monitor] Process[es] is stopping 2017.12.15 10:14:24 ERROR app[][o.s.p.m.Monitor] Process[web] failed to start 2017.12.15 10:14:24 INFO app[][o.s.p.m.Monitor] Process[es] is stopped <-- Wrapper Stopped
关于logstash从mysql导数到es中之后,sql中写的字段自动变小写,导致es查询不出数据。
select id,taskCode,taskSign,riskCode,classCode,policyCodes,createTime,updatTime from f_policytask 导入之后查询出数据的字段变成了小写,我建索引的时候写的是驼峰,所以模糊查询的时候查询不出来。 ![图片说明](https://img-ask.csdn.net/upload/201805/07/1525662592_62354.png) (目前有个解决办法是把驼峰改成下划线,但是java里面写的很别扭,有没有其他的解决办法?谢谢大家)
slf4j+logback+logstash把自定的字段与原始的日志信息一起写入到ES
slf4j+logback+logstash把生成的日志用logstash插入到ES,插入到ES默认的字段不满足需求,我现在需要再增加五个自定义字段以及默认的字段,用logstash一起存到ES,这自定的五个字段的值需要从Java代码中获取,是动态变化的,有谁会,请教一下,非常感谢,我研究了一天多,没有找到合适的方法解决。
vue项目运行报错Error: Cannot find module 'es-abstract/es6'
![图片说明](https://img-ask.csdn.net/upload/201911/06/1573011220_72958.jpg)
es节点突然挂了,java虚拟机崩溃
elasticsearch版本2.3.3 jdk版本1.8 节点突然挂了,es没有错误信息 程序目录下产生一个hs_err_pid13532.log文件和一个core.13532文件 ![图片说明](https://img-ask.csdn.net/upload/201910/26/1572083503_217140.png) ![图片说明](https://img-ask.csdn.net/upload/201910/26/1572083531_40457.png) 看不明白为什么报错 ![图片说明](https://img-ask.csdn.net/upload/201910/26/1572084359_28164.png) SIGBUS (0x7) at pc=0x00007f130d052430, pid=13532, tid=139276225861376 这个地方查了以下说是硬件错误,也没有说明具体的错误原因,哪里错误
Webgl画6个颜色不同的面的正方体
学WebGL的时候照着书上打了一段代码,结果发现运行到网页上只有背景颜色,没有正方体,看控制台也没有错误信息输出,实在是不知道哪里错了... js的代码 var VSHADER_SOURCE= 'attribute vec4 a_Position;\n'+ 'attribute vec4 a_Color;\n'+ 'uniform mat4 u_MvpMatrix;\n'+ 'varying vec4 v_Color;\n'+ 'void main(){\n'+ ' gl_Position=u_MvpMatrix*a_Position;\n'+ ' v_Color=a_Color;\n'+ '}\n'; var FSHADER_SOURCE= '#ifdef GL_ES\n'+ 'precision mediump float;\n'+ '#endif\n'+ 'varying vec4 v_Color;\n'+ 'void main(){\n'+ ' gl_FragColor=v_Color;\n'+ '}\n'; function main(){ var canvas =document.getElementById('webgl'); var gl=getWebGLContext(canvas); if(!gl){ console.log('Failed to get the rendering context for WebGL'); return; } // Initialize shaders if (!initShaders(gl, VSHADER_SOURCE, FSHADER_SOURCE)) { console.log('Failed to intialize shaders.'); return; } // Set the vertex information var n = initVertexBuffers(gl); if (n < 0) { console.log('Failed to set the vertex information'); return; } // Set the clear color and enable the depth test gl.clearColor(0.0, 0.0, 0.0, 1.0); gl.enable(gl.DEPTH_TEST); var u_MvpMatrix=gl.getUniformLocation(gl.program,'u_MvpMatrix'); if(!u_MvpMatrix){ console.log('fail to get the storage Location of u_MvpMatrix'); return ; } var mvpMatrix=new Matrix4(); mvpMatrix.setPerspective(30,1,1,100);//设置透明投影可视空间 mvpMatrix.lookAt(3,3,7,0,0,0,1,0);//创建视图矩阵 //传递数据 gl.uniformMatrix4fv(u_MvpMatrix,false,mvpMatrix.elements); gl.clear(gl.COLOR_BUFFER_BIT|gl.DEPTH_BUFFER_BIT); gl.drawElements(gl.TRIANGLES,n,gl.UNSIGNED_BYTE,0); console.log(''+n); } function initVertexBuffers(gl) { // Create a cube // v6----- v5 // /| /| // v1------v0| // | | | | // | |v7---|-|v4 // |/ |/ // v2------v3 //创建方式创建6个面,对每个面的顶点指定相同的颜色 var vertices = new Float32Array([ // Vertex coordinates 1.0, 1.0, 1.0, -1.0, 1.0, 1.0, -1.0,-1.0, 1.0, 1.0,-1.0, 1.0, // v0-v1-v2-v3 front 1.0, 1.0, 1.0, 1.0,-1.0, 1.0, 1.0,-1.0,-1.0, 1.0, 1.0,-1.0, // v0-v3-v4-v5 right 1.0, 1.0, 1.0, 1.0, 1.0,-1.0, -1.0, 1.0,-1.0, -1.0, 1.0, 1.0, // v0-v5-v6-v1 up -1.0, 1.0, 1.0, -1.0, 1.0,-1.0, -1.0,-1.0,-1.0, -1.0,-1.0, 1.0, // v1-v6-v7-v2 left -1.0,-1.0,-1.0, 1.0,-1.0,-1.0, 1.0,-1.0, 1.0, -1.0,-1.0, 1.0, // v7-v4-v3-v2 down 1.0,-1.0,-1.0, -1.0,-1.0,-1.0, -1.0, 1.0,-1.0, 1.0, 1.0,-1.0 // v4-v7-v6-v5 back ]); var colors = new Float32Array([ // Colors 0.4, 0.4, 1.0, 0.4, 0.4, 1.0, 0.4, 0.4, 1.0, 0.4, 0.4, 1.0, // v0-v1-v2-v3 front(blue) 0.4, 1.0, 0.4, 0.4, 1.0, 0.4, 0.4, 1.0, 0.4, 0.4, 1.0, 0.4, // v0-v3-v4-v5 right(green) 1.0, 0.4, 0.4, 1.0, 0.4, 0.4, 1.0, 0.4, 0.4, 1.0, 0.4, 0.4, // v0-v5-v6-v1 up(red) 1.0, 1.0, 0.4, 1.0, 1.0, 0.4, 1.0, 1.0, 0.4, 1.0, 1.0, 0.4, // v1-v6-v7-v2 left 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, // v7-v4-v3-v2 down 0.4, 1.0, 1.0, 0.4, 1.0, 1.0, 0.4, 1.0, 1.0, 0.4, 1.0, 1.0 // v4-v7-v6-v5 back ]); //通过索引找到对应点位,这种方式好像只是为了减小画的点个数 var indices = new Uint8Array([ // Indices of the vertices 0, 1, 2, 0, 2, 3, // front 4, 5, 6, 4, 6, 7, // right 8, 9,10, 8,10,11, // up 12,13,14, 12,14,15, // left 16,17,18, 16,18,19, // down 20,21,22, 20,22,23 // back ]); var indexBuffer=gl.createBuffer(); if(!indexBuffer) return -1; if(!initArrayBuffer(gl,vertices,3,gl.FLOAT,'a_Position')) { return -1; } if(!initArrayBuffer(gl,colors,3,gl.FLOAT,'a_Color')){ return -1; } //将索引写入缓冲区 gl.bindBuffer(gl.ELEMENT_ARRAY_BUFFER,indexBuffer); gl.bufferData(gl.ELEMENT_ARRAY_BUFFER,indices,gl.STATIC_DRAW); return indices.length; } //定义缓冲区对象的创建,绑定,数据写入,开启等操作 function initArrayBuffer(gl,data,num,type,attribute){ var buffer=gl.createBuffer(); if(!buffer){ console.log('fail to create a buffer'); return false; } gl.bindBuffer(gl.ARRAY_BUFFER,buffer); gl.bufferData(gl.ARRAY_BUFFER,data,gl.STATIC_DRAW); // Assign the buffer object to the attribute variable var a_attribute = gl.getAttribLocation(gl.program, attribute); if (a_attribute < 0) { console.log('Failed to get the storage location of ' + attribute); return false; } gl.vertexAttribPointer(a_attribute, num, type, false, 0, 0); // Enable the assignment of the buffer object to the attribute variable gl.enableVertexAttribArray(a_attribute); return true; } html的代码 <!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8" /> <title>Draw cube with specification of face color</title> </head> <body onload="main()"> <canvas id="webgl" width="400" height="400"> Please use a browser that supports "canvas" </canvas> <script src="../lib/webgl-utils.js"></script> <script src="../lib/webgl-debug.js"></script> <script src="../lib/cuon-utils.js"></script> <script src="../lib/cuon-matrix.js"></script> <script src="ColoredCube.js"></script> </body> </html> 希望哪位前辈有时间的帮我看看哪里出错了...谢谢了
安装chito1.1.0 rake 出错问题 求解
安装chito1.1.0 rake 的时候出现如下错误 D:\chito>rake db:migrate (in D:/chito) rake aborted! You have a nil object when you didn't expect it! You might have expected an instance of ActiveRecord::Base. The error occurred while evaluating nil.[] (See full trace by running task with --trace) [b]问题补充:[/b] D:\chito>rake db:migrate --trace (in D:/chito) ** Invoke db:migrate (first_time) ** Invoke environment (first_time) ** Execute environment rake aborted! 14001: 由于应用程序配置不正确,应用程序未能启动。重新安装应用程序可能会纠正这个 问题。 - d:/ruby/lib/ruby/gems/1.8/gems/rmagick-1.14.1-unknown/ext/RMagick.so d:/ruby/lib/ruby/gems/1.8/gems/rmagick-1.14.1-unknown/ext/RMagick.so d:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:153:in `require' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:521:in `new_constants_in' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:153:in `require' d:/ruby/lib/ruby/gems/1.8/gems/rmagick-1.14.1-unknown/lib/RMagick.rb:11 d:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_re quire' d:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:153:in `require' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:521:in `new_constants_in' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:153:in `require' D:/chito/vendor/plugins/simple_captcha/lib/simple_captcha_image.rb:4 d:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_re quire' d:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:153:in `require' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:521:in `new_constants_in' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:153:in `require' D:/chito/vendor/plugins/simple_captcha/init.rb:5:in `evaluate_init_rb' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/rails/plugin.rb:103:in `evaluate_ init_rb' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/core_ext/k ernel/reporting.rb:11:in `silence_warnings' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/rails/plugin.rb:99:in `evaluate_i nit_rb' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/rails/plugin.rb:44:in `load' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/rails/plugin/loader.rb:33:in `loa d_plugins' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/rails/plugin/loader.rb:32:in `eac h' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/rails/plugin/loader.rb:32:in `loa d_plugins' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/initializer.rb:323:in `load_plugi ns' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/initializer.rb:160:in `process' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/initializer.rb:323:in `load_plugi ns' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/initializer.rb:160:in `process' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/initializer.rb:112:in `send' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/initializer.rb:112:in `run' D:/chito/config/environment.rb:17 d:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_re quire' d:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:153:in `require' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:521:in `new_constants_in' d:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependenci es.rb:153:in `require' d:/ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/tasks/misc.rake:3 d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in `call' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in `execute' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in `each' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in `execute' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:578:in `invoke_with_call_c hain' d:/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in `invoke_with_call_c hain' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:588:in `invoke_prerequisit es' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in `each' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in `invoke_prerequisit es' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:577:in `invoke_with_call_c hain' d:/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in `invoke_with_call_c hain' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:564:in `invoke' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2019:in `invoke_task' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `each' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in `standard_exceptio n_handling' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1991:in `top_level' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1970:in `run' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in `standard_exceptio n_handling' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1967:in `run' d:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/bin/rake:31 d:/ruby/bin/rake:19:in `load' d:/ruby/bin/rake:19
终于明白阿里百度这样的大公司,为什么面试经常拿ThreadLocal考验求职者了
点击上面↑「爱开发」关注我们每晚10点,捕获技术思考和创业资源洞察什么是ThreadLocalThreadLocal是一个本地线程副本变量工具类,各个线程都拥有一份线程私有的数
《奇巧淫技》系列-python!!每天早上八点自动发送天气预报邮件到QQ邮箱
此博客仅为我业余记录文章所用,发布到此,仅供网友阅读参考,如有侵权,请通知我,我会删掉。 补充 有不少读者留言说本文章没有用,因为天气预报直接打开手机就可以收到了,为何要多此一举发送到邮箱呢!!!那我在这里只能说:因为你没用,所以你没用!!! 这里主要介绍的是思路,不是天气预报!不是天气预报!!不是天气预报!!!天气预报只是用于举例。请各位不要再刚了!!! 下面是我会用到的两个场景: 每日下
面试官问我:什么是消息队列?什么场景需要他?用了会出现什么问题?
你知道的越多,你不知道的越多 点赞再看,养成习惯 GitHub上已经开源 https://github.com/JavaFamily 有一线大厂面试点脑图、个人联系方式,欢迎Star和完善 前言 消息队列在互联网技术存储方面使用如此广泛,几乎所有的后端技术面试官都要在消息队列的使用和原理方面对小伙伴们进行360°的刁难。 作为一个在互联网公司面一次拿一次Offer的面霸,打败了无数
8年经验面试官详解 Java 面试秘诀
    作者 | 胡书敏 责编 | 刘静 出品 | CSDN(ID:CSDNnews) 本人目前在一家知名外企担任架构师,而且最近八年来,在多家外企和互联网公司担任Java技术面试官,前后累计面试了有两三百位候选人。在本文里,就将结合本人的面试经验,针对Java初学者、Java初级开发和Java开发,给出若干准备简历和准备面试的建议。   Java程序员准备和投递简历的实
究竟你适不适合买Mac?
我清晰的记得,刚买的macbook pro回到家,开机后第一件事情,就是上了淘宝网,花了500元钱,找了一个上门维修电脑的师傅,上门给我装了一个windows系统。。。。。。 表砍我。。。 当时买mac的初衷,只是想要个固态硬盘的笔记本,用来运行一些复杂的扑克软件。而看了当时所有的SSD笔记本后,最终决定,还是买个好(xiong)看(da)的。 已经有好几个朋友问我mba怎么样了,所以今天尽量客观
MyBatis研习录(01)——MyBatis概述与入门
C语言自学完备手册(33篇) Android多分辨率适配框架 JavaWeb核心技术系列教程 HTML5前端开发实战系列教程 MySQL数据库实操教程(35篇图文版) 推翻自己和过往——自定义View系列教程(10篇) 走出思维困境,踏上精进之路——Android开发进阶精华录 讲给Android程序员看的前端系列教程(40集免费视频教程+源码) 版权声明 本文原创作者:谷哥的小弟 作者博客
程序员一般通过什么途径接私活?
二哥,你好,我想知道一般程序猿都如何接私活,我也想接,能告诉我一些方法吗? 上面是一个读者“烦不烦”问我的一个问题。其实不止是“烦不烦”,还有很多读者问过我类似这样的问题。 我接的私活不算多,挣到的钱也没有多少,加起来不到 20W。说实话,这个数目说出来我是有点心虚的,毕竟太少了,大家轻喷。但我想,恰好配得上“一般程序员”这个称号啊。毕竟苍蝇再小也是肉,我也算是有经验的人了。 唾弃接私活、做外
Python爬虫爬取淘宝,京东商品信息
小编是一个理科生,不善长说一些废话。简单介绍下原理然后直接上代码。 使用的工具(Python+pycharm2019.3+selenium+xpath+chromedriver)其中要使用pycharm也可以私聊我selenium是一个框架可以通过pip下载 pip install selenium -i https://pypi.tuna.tsinghua.edu.cn/simple/ 
阿里程序员写了一个新手都写不出的低级bug,被骂惨了。
你知道的越多,你不知道的越多 点赞再看,养成习惯 本文 GitHub https://github.com/JavaFamily 已收录,有一线大厂面试点思维导图,也整理了很多我的文档,欢迎Star和完善,大家面试可以参照考点复习,希望我们一起有点东西。 前前言 为啥今天有个前前言呢? 因为你们的丙丙啊,昨天有牌面了哟,直接被微信官方推荐,知乎推荐,也就仅仅是还行吧(心里乐开花)
Java工作4年来应聘要16K最后没要,细节如下。。。
前奏: 今天2B哥和大家分享一位前几天面试的一位应聘者,工作4年26岁,统招本科。 以下就是他的简历和面试情况。 基本情况: 专业技能: 1、&nbsp;熟悉Sping了解SpringMVC、SpringBoot、Mybatis等框架、了解SpringCloud微服务 2、&nbsp;熟悉常用项目管理工具:SVN、GIT、MAVEN、Jenkins 3、&nbsp;熟悉Nginx、tomca
Python爬虫精简步骤1 获取数据
爬虫的工作分为四步: 1.获取数据。爬虫程序会根据我们提供的网址,向服务器发起请求,然后返回数据。 2.解析数据。爬虫程序会把服务器返回的数据解析成我们能读懂的格式。 3.提取数据。爬虫程序再从中提取出我们需要的数据。 4.储存数据。爬虫程序把这些有用的数据保存起来,便于你日后的使用和分析。 这一篇的内容就是:获取数据。 首先,我们将会利用一个强大的库——requests来获取数据。 在电脑上安装
Python绘图,圣诞树,花,爱心 | Turtle篇
1.画圣诞树 import turtle screen = turtle.Screen() screen.setup(800,600) circle = turtle.Turtle() circle.shape('circle') circle.color('red') circle.speed('fastest') circle.up() square = turtle.Turtle()
作为一个程序员,CPU的这些硬核知识你必须会!
CPU对每个程序员来说,是个既熟悉又陌生的东西? 如果你只知道CPU是中央处理器的话,那可能对你并没有什么用,那么作为程序员的我们,必须要搞懂的就是CPU这家伙是如何运行的,尤其要搞懂它里面的寄存器是怎么一回事,因为这将让你从底层明白程序的运行机制。 随我一起,来好好认识下CPU这货吧 把CPU掰开来看 对于CPU来说,我们首先就要搞明白它是怎么回事,也就是它的内部构造,当然,CPU那么牛的一个东
破14亿,Python分析我国存在哪些人口危机!
2020年1月17日,国家统计局发布了2019年国民经济报告,报告中指出我国人口突破14亿。 猪哥的朋友圈被14亿人口刷屏,但是很多人并没有看到我国复杂的人口问题:老龄化、男女比例失衡、生育率下降、人口红利下降等。 今天我们就来分析一下我们国家的人口数据吧! 更多有趣分析教程,扫描下方二维码关注vx公号「裸睡的猪」 即可查看! 一、背景 1.人口突破14亿 2020年1月17日,国家统计局发布
web前端javascript+jquery知识点总结
Javascript javascript 在前端网页中占有非常重要的地位,可以用于验证表单,制作特效等功能,它是一种描述语言,也是一种基于对象(Object)和事件驱动并具有安全性的脚本语言 ,语法同java类似,是一种解释性语言,边执行边解释。 JavaScript的组成: ECMAScipt 用于描述: 语法,变量和数据类型,运算符,逻辑控制语句,关键字保留字,对象。 浏览器对象模型(Br
Python实战:抓肺炎疫情实时数据,画2019-nCoV疫情地图
文章目录1. 前言2. 数据下载3. 数据处理4. 数据可视化 1. 前言 今天,群里白垩老师问如何用python画武汉肺炎疫情地图。白垩老师是研究海洋生态与地球生物的学者,国家重点实验室成员,于不惑之年学习python,实为我等学习楷模。先前我并没有关注武汉肺炎的具体数据,也没有画过类似的数据分布图。于是就拿了两个小时,专门研究了一下,遂成此文。 2月6日追记:本文发布后,腾讯的数据源多次变更u
听说想当黑客的都玩过这个Monyer游戏(1~14攻略)
第零关 进入传送门开始第0关(游戏链接) 请点击链接进入第1关: 连接在左边→ ←连接在右边 看不到啊。。。。(只能看到一堆大佬做完的留名,也能看到菜鸡的我,在后面~~) 直接fn+f12吧 &lt;span&gt;连接在左边→&lt;/span&gt; &lt;a href="first.php"&gt;&lt;/a&gt; &lt;span&gt;←连接在右边&lt;/span&gt; o
在家远程办公效率低?那你一定要收好这个「在家办公」神器!
相信大家都已经收到国务院延长春节假期的消息,接下来,在家远程办公可能将会持续一段时间。 但是问题来了。远程办公不是人在电脑前就当坐班了,相反,对于沟通效率,文件协作,以及信息安全都有着极高的要求。有着非常多的挑战,比如: 1在异地互相不见面的会议上,如何提高沟通效率? 2文件之间的来往反馈如何做到及时性?如何保证信息安全? 3如何规划安排每天工作,以及如何进行成果验收? ......
作为一个程序员,内存和磁盘的这些事情,你不得不知道啊!!!
截止目前,我已经分享了如下几篇文章: 一个程序在计算机中是如何运行的?超级干货!!! 作为一个程序员,CPU的这些硬核知识你必须会! 作为一个程序员,内存的这些硬核知识你必须懂! 这些知识可以说是我们之前都不太重视的基础知识,可能大家在上大学的时候都学习过了,但是嘞,当时由于老师讲解的没那么有趣,又加上这些知识本身就比较枯燥,所以嘞,大家当初几乎等于没学。 再说啦,学习这些,也看不出来有什么用啊!
渗透测试-灰鸽子远控木马
木马概述 灰鸽子( Huigezi),原本该软件适用于公司和家庭管理,其功能十分强大,不但能监视摄像头、键盘记录、监控桌面、文件操作等。还提供了黑客专用功能,如:伪装系统图标、随意更换启动项名称和表述、随意更换端口、运行后自删除、毫无提示安装等,并采用反弹链接这种缺陷设计,使得使用者拥有最高权限,一经破解即无法控制。最终导致被黑客恶意使用。原作者的灰鸽子被定义为是一款集多种控制方式于一体的木马程序
Python:爬取疫情每日数据
前言 有部分同学留言说为什么412,这是因为我代码里全国的cookies需要你自己打开浏览器更新好后替换,而且这个cookies大概只能持续20秒左右! 另外全国卫健委的数据格式一直在变,也有可能会导致爬取失败! 我现在已根据2月14日最新通报稿的格式修正了! 目前每天各大平台,如腾讯、今日头条都会更新疫情每日数据,他们的数据源都是一样的,主要都是通过各地的卫健委官网通报。 为什么已经有大量平台做
这个世界上人真的分三六九等,你信吗?
偶然间,在知乎上看到一个问题 一时间,勾起了我深深的回忆。 以前在厂里打过两次工,做过家教,干过辅导班,做过中介。零下几度的晚上,贴过广告,满脸、满手地长冻疮。   再回首那段岁月,虽然苦,但让我学会了坚持和忍耐。让我明白了,在这个世界上,无论环境多么的恶劣,只要心存希望,星星之火,亦可燎原。   下文是原回答,希望能对你能有所启发。   如果我说,这个世界上人真的分三六九等,
B 站上有哪些很好的学习资源?
哇说起B站,在小九眼里就是宝藏般的存在,放年假宅在家时一天刷6、7个小时不在话下,更别提今年的跨年晚会,我简直是跪着看完的!! 最早大家聚在在B站是为了追番,再后来我在上面刷欧美新歌和漂亮小姐姐的舞蹈视频,最近两年我和周围的朋友们已经把B站当作学习教室了,而且学习成本还免费,真是个励志的好平台ヽ(.◕ฺˇд ˇ◕ฺ;)ノ 下面我们就来盘点一下B站上优质的学习资源: 综合类 Oeasy: 综合
雷火神山直播超两亿,Web播放器事件监听是怎么实现的?
Web播放器解决了在手机浏览器和PC浏览器上播放音视频数据的问题,让视音频内容可以不依赖用户安装App,就能进行播放以及在社交平台进行传播。在视频业务大数据平台中,播放数据的统计分析非常重要,所以Web播放器在使用过程中,需要对其内部的数据进行收集并上报至服务端,此时,就需要对发生在其内部的一些播放行为进行事件监听。 那么Web播放器事件监听是怎么实现的呢? 01 监听事件明细表 名
3万字总结,Mysql优化之精髓
本文知识点较多,篇幅较长,请耐心学习 MySQL已经成为时下关系型数据库产品的中坚力量,备受互联网大厂的青睐,出门面试想进BAT,想拿高工资,不会点MySQL优化知识,拿offer的成功率会大大下降。 为什么要优化 系统的吞吐量瓶颈往往出现在数据库的访问速度上 随着应用程序的运行,数据库的中的数据会越来越多,处理时间会相应变慢 数据是存放在磁盘上的,读写速度无法和内存相比 如何优化 设计
Python新型冠状病毒疫情数据自动爬取+统计+发送报告+数据屏幕(三)发送篇
今天介绍的项目是使用 Itchat 发送统计报告 项目功能设计: 定时爬取疫情数据存入Mysql 进行数据分析制作疫情报告 使用itchat给亲人朋友发送分析报告(本文) 基于Django做数据屏幕 使用Tableau做数据分析 来看看最终效果 目前已经完成,预计2月12日前更新 使用 itchat 发送数据统计报告 itchat 是一个基于 web微信的一个框架,但微信官方并不允
作为程序员的我,大学四年一直自学,全靠这些实用工具和学习网站!
我本人因为高中沉迷于爱情,导致学业荒废,后来高考,毫无疑问进入了一所普普通通的大学,实在惭愧...... 我又是那么好强,现在学历不行,没办法改变的事情了,所以,进入大学开始,我就下定决心,一定要让自己掌握更多的技能,尤其选择了计算机这个行业,一定要多学习技术。 在进入大学学习不久后,我就认清了一个现实:我这个大学的整体教学质量和学习风气,真的一言难尽,懂的人自然知道怎么回事? 怎么办?我该如何更好的提升
粒子群算法求解物流配送路线问题(python)
粒子群算法求解物流配送路线问题(python) 1.查找论文文献 找一篇物流配送路径优化+粒子群算法求解的论文 参考文献:基于混沌粒子群算法的物流配送路径优化 2.了解粒子群算法的原理 讲解通俗易懂,有数学实例的博文:https://blog.csdn.net/daaikuaichuan/article/details/81382794 3.确定编码方式和解码策略 3.1编码方式 物流配送路线的
教你如何编写第一个简单的爬虫
很多人知道爬虫,也很想利用爬虫去爬取自己想要的数据,那么爬虫到底怎么用呢?今天就教大家编写一个简单的爬虫。 下面以爬取笔者的个人博客网站为例获取第一篇文章的标题名称,教大家学会一个简单的爬虫。 第一步:获取页面 #!/usr/bin/python # coding: utf-8 import requests #引入包requests link = "http://www.santostang.
前端JS初级面试题二 (。•ˇ‸ˇ•。)老铁们!快来瞧瞧自己都会了么
1. 传统事件绑定和符合W3C标准的事件绑定有什么区别? 传统事件绑定 &lt;div onclick=""&gt;123&lt;/div&gt; div1.onclick = function(){}; &lt;button onmouseover=""&gt;&lt;/button&gt; 注意: 如果给同一个元素绑定了两次或多次相同类型的事件,那么后面的绑定会覆盖前面的绑定 (不支持DOM事...
相关热词 c#如何定义数组列表 c#倒序读取txt文件 java代码生成c# c# tcp发送数据 c#解决时间格式带星期 c#类似hashmap c#设置istbox的值 c#获取多线程返回值 c# 包含数字 枚举 c# timespan
立即提问